clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
OMPNogroupClause Class Reference

This represents 'nogroup' clause in the '#pragma omp ...' directive. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPNogroupClause:
[legend]
Collaboration diagram for OMPNogroupClause:
[legend]

## Public Member Functions
| OMPNogroupClause (SourceLocation StartLoc, SourceLocation EndLoc)
| Build 'nogroup' clause. More...
| OMPNogroupClause ()
| Build an empty clause. More...
child_range | children ()
const_child_range | children () const
child_range | used_children ()
const_child_range | used_children () const

## Static Public Member Functions
static bool | classof (const OMPClause *T)

## Detailed Description

This represents 'nogroup' clause in the '#pragma omp ...' directive.

#pragma omp taskloop nogroup

In this example directive '#pragma omp taskloop' has 'nogroup' clause.

Definition at line 5380 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPNogroupClause() [1/2]

OMPNogroupClause::OMPNogroupClause | ( | SourceLocation | StartLoc,
|  | SourceLocation | EndLoc
| ) |  |
| inline

Build 'nogroup' clause.

Parameters

  StartLoc | Starting location of the clause.
  EndLoc | Ending location of the clause.

Definition at line 5386 of file OpenMPClause.h.

## ◆ OMPNogroupClause() [2/2]

OMPNogroupClause::OMPNogroupClause | ( |  | ) |
| inline

Build an empty clause.

Definition at line 5390 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children() [1/2]

child_range OMPNogroupClause::children | ( |  | ) |
| inline

Definition at line 5393 of file OpenMPClause.h.

## ◆ children() [2/2]

const_child_range OMPNogroupClause::children | ( |  | ) | const
| inline

Definition at line 5397 of file OpenMPClause.h.

## ◆ classof()

static bool OMPNogroupClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 5408 of file OpenMPClause.h.

## ◆ used_children() [1/2]

child_range OMPNogroupClause::used_children | ( |  | ) |
| inline

Definition at line 5401 of file OpenMPClause.h.

## ◆ used_children() [2/2]

const_child_range OMPNogroupClause::used_children | ( |  | ) | const
| inline

Definition at line 5404 of file OpenMPClause.h.

The documentation for this class was generated from the following file:

- include/clang/AST/OpenMPClause.h